Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8062853

[TESTBUG] Change runtime jtreg tests to use @requires for 32/64bit and platform requirements

    XMLWordPrintable

Details

    • Enhancement
    • Resolution: Won't Fix
    • P3
    • 9
    • 9
    • hotspot

    Description

      As of the new version of jtreg (4.1 b10), the @requires tag is now supported. This means we can cleanup any platform and 32/64bit checking. It'll also make the tests run quicker since they'll not compile and start executing the test code for platforms where they don't run.

      Attachments

        Issue Links

          Activity

            People

              stsmirno Stanislav Smirnov (Inactive)
              ctornqvi Christian Tornqvist
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: